<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F5F5F5">

    <android.support.v4.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="?attr/actionBarSize"
        android:layout_marginBottom="94dp"
        android:scrollbars="none">

        <android.support.constraint.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">
            <ImageView
                android:id="@+id/icon_iv"
                android:layout_width="@dimen/view_size_90"
                android:layout_height="@dimen/view_size_90"
                android:src="@mipmap/icon"
                android:layout_marginTop="64dp"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

            <TextView
                android:id="@+id/app_name_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="14dp"
                android:text="小绵羊授权登录"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_16"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/icon_iv" />

            <include
                android:id="@+id/sdk_change_user"
                layout="@layout/include_sdk_user"
                android:layout_width="match_parent"
                android:layout_height="52dp"
                android:layout_marginTop="63dp"
                android:background="@color/white"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/app_name_tv" />

            <View
                android:id="@+id/sdk_change_user_line"
                android:layout_width="match_parent"
                android:layout_height="1dp"
                app:layout_constraintTop_toBottomOf="@+id/sdk_change_user" />

            <android.support.v7.widget.RecyclerView
                android:id="@+id/sdk_change_user_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                app:layout_constraintTop_toBottomOf="@+id/sdk_change_user_line" />

            <TextView
                android:id="@+id/change_account_tv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="1dp"
                android:background="@color/white"
                android:paddingStart="35dp"
                android:paddingTop="22dp"
                android:paddingEnd="35dp"
                android:paddingBottom="22dp"
                android:text="添加账号"
                android:textColor="#36A5ED"
                android:textSize="14sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/sdk_change_user_list"
                app:layout_constraintBottom_toBottomOf="parent"/>

        </android.support.constraint.ConstraintLayout>

    </android.support.v4.widget.NestedScrollView>
    <View
        android:layout_width="match_parent"
        android:layout_height="94dp"
        android:layout_alignParentBottom="true"
        android:background="#F5F5F5"/>
    <TextView
        android:id="@+id/change_commit"
        style="@style/style_button_full"
        android:layout_height="36dp"
        android:layout_alignParentBottom="true"
        android:layout_marginStart="36dp"
        android:layout_marginEnd="36dp"
        android:layout_marginBottom="29dp"
        android:text="授权登录" />

    <com.github.ybq.android.spinkit.SpinKitView
        android:id="@+id/loading_view_img"
        style="@style/SpinKitView.Large.ThreeBounce"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@+id/change_commit"
        android:layout_centerHorizontal="true"
        android:visibility="invisible"
        app:SpinKit_Color="@color/colorAccent" />
</RelativeLayout>
